<?php

	lt_include( PLOG_CLASS_PATH."class/test/helpers/lifetypetestcase.class.php" );
	lt_include( PLOG_CLASS_PATH."class/misc/glob.class.php" );	

	/**
	 * \ingroup Test
	 *
	 * Test cases for the Glob class.
	 */
	class Glob_Test extends LifeTypeTestCase
	{
		function testmyFnMatch()
		{
			// incorrect match
			$this->assertFalse( Glob::myFnMatch( "*.index.template.*", "index.template.php" ));
			
			// valid match
			$this->assertTrue( Glob::myFnMatch( "*index.template.*", "index.template.php" ));			
		}		
	}
?>